
KFTPGrabber - a graphical FTP client for TDE


There are many FTP clients around these days. Most are console based, some
feature a graphical user interface. What most clients are missing is support
for latest or not so common technologies like ZeroConf, TLS/SSL or FXP (just
to name a few), accompanied by a decent user interface that tries to support
the user instead of frustrating him/her.

KFTPGrabber tries to make a complete FTP client solution with support for
plugins, scripting and everything else the users needs, based on the
latest technologies provided by TDE.


Features:
---------

* Multiple FTP sessions (tabs)
* Transfer queue
* TLS/SSL support for encrypted connections (implicit and explicit)
* Partial X509 certificate support for authentication
* FXP transfer support (site-to-site)
* OTP (one time password) support - S/Key, MD5, RMD160, SHA1
* Drag&Drop support
* Site bookmarking
* Encrypted bookmark support (password can be saved to TDEWallet)
* Distributed FTP support (PRET)
* SSCN and CPSV support
* Skiplist
* ZeroConf (aka. Rendezvous) support for local site discovery
* Bookmark sharing with Kopete contacts (KDE >= 3.3)
* Bookmark import plugins
* Support for SFTP protocol [experimental]

.

Contributing
--------------

If you wish to contribute to codeine, you might do so:

- TDE Gitea Workspace (TGW) collaboration tool.
  https://mirror.git.trinitydesktop.org/gitea

- TDE Weblate Translation Workspace (TWTW) collaboration tool.
  https://mirror.git.trinitydesktop.org/weblate


Translations status
---------------------

### messages
[![Translations status](https://mirror.git.trinitydesktop.org/weblate/widgets/applications/-/kftpgrabber/multi-auto.svg
"Engage in translating")](https://mirror.git.trinitydesktop.org/weblate/projects/applications/kftpgrabber/)

### desktop files
[![Translations status](https://mirror.git.trinitydesktop.org/weblate/widgets/applications/-/kftpgrabber-desktop-files/multi-auto.svg
"Engage in translating")](https://mirror.git.trinitydesktop.org/weblate/projects/applications/kftpgrabber-desktop-files/)
